<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Title</title>

	<style>
		.container {
			margin: 0 auto;
			width: 1170px;
		}
		/* Сделаем выделенный текст золотым с красным фоном */
		::-moz-selection {
			color: gold;
			background: red;
		}

		::selection {
			color: gold;
			background: red;
		}

		/* Сделаем выделенный в параграфе текст белым на синем фоне */
		p::-moz-selection {
			color: white;
			background: blue;
		}

		p::selection {
			color: white;
			background: blue;
		}
	</style>
</head>
<body>
<main>
	<div class="container">
		<p>In 1980, physicist <a t href="https://en.wikipedia.org/wiki/Tim_Berners-Lee">Tim Berners-Lee</a>, a contractor
			at <a href="https://en.wikipedia.org/wiki/CERN">CERN</a>, proposed and prototyped
			<a href="https://en.wikipedia.org/wiki/ENQUIRE">ENQUIRE</a>, a system for CERN
			researchers to use and share documents. In 1989, Berners-Lee wrote a memo proposing an
			<a href="https://en.wikipedia.org/wiki/Internet">Internet</a>-based
			<a href="https://en.wikipedia.org/wiki/Hypertext">hypertext</a>system.<a href="https://en.wikipedia.org/wiki/HTML#cite_note-3">
				[3]</a>. Berners-Lee specified HTML and wrote the browser and server software in late 1990. That year,
			Berners-Lee and CERN data systems engineer <a href="https://en.wikipedia.org/wiki/Robert_Cailliau">Robert Cailliau</a>
			collaborated on a joint request for funding,
			but the project was not formally adopted by CERN. In his personal notes<a href="https://en.wikipedia.org/wiki/HTML#cite_note-4">[4]</a>
			from 1990 he listed<a href="https://en.wikipedia.org/wiki/HTML#cite_note-5">[5]</a>.
			"some of the many areas in which hypertext is used" and put an encyclopedia first.</p>
		<p>The first publicly available description of HTML was a document called <a href="http://info.cern.ch/hypertext/WWW/MarkUp/Tags.html">
			"HTML Tags"</a>, first mentioned on
			the Internet by Tim Berners-Lee in late 1991.<a href="https://en.wikipedia.org/wiki/HTML#cite_note-tagshtml-6">[6]</a><a href="https://en.wikipedia.org/wiki/HTML#cite_note-7">[7]</a> It describes 18 elements comprising the initial,
			relatively simple design of HTML. Except for the hyperlink tag, these were strongly influenced by
			<a href="https://en.wikipedia.org/wiki/SGMLguid">SGMLguid</a>, an in-house
			<a href="https://en.wikipedia.org/wiki/Standard_Generalized_Markup_Language">Standard Generalized Markup Language</a> (SGML)-based documentation format at CERN. Eleven of these
			elements still exist in HTML 4.<a href="https://en.wikipedia.org/wiki/HTML#cite_note-8">[8]</a></p>
		<p>HTML is a markup language that web browsers use to interpret and compose text, images, and other material
			into visual or audible web pages. Default characteristics for every item of HTML markup are defined in
			the browser, and these characteristics can be altered or enhanced by the web page designer's additional
			use of CSS. Many of the text elements are found in the 1988 ISO technical report TR 9537 Techniques for
			using SGML, which in turn covers the features of early text formatting languages such as that used by the
			RUNOFF command developed in the early 1960s for the CTSS (Compatible Time-Sharing System) operating system:
			these formatting commands were derived from the commands used by typesetters to manually format documents.
			However, the SGML concept of generalized markup is based on elements (nested annotated ranges with attributes)
			rather than merely print effects, with also the separation of structure and markup; HTML has been progressively
			moved in this direction with CSS.</p>
		<p>Berners-Lee considered HTML to be an application of SGML. It was formally defined as such by the Internet
			Engineering Task Force (IETF) with the mid-1993 publication of the first proposal for an HTML specification,
			the "Hypertext Markup Language (HTML)" Internet Draft by Berners-Lee and Dan Connolly, which included an SGML
			Document type definition to define the grammar.[9][10] The draft expired after six months, but was notable for
			its acknowledgment of the NCSA Mosaic browser's custom tag for embedding in-line images, reflecting the IETF's
			philosophy of basing standards on successful prototypes. Similarly, Dave Raggett's competing Internet-Draft,
			"HTML+ (Hypertext Markup Format)", from late 1993, suggested standardizing already-implemented features like
			tables and fill-out forms.[11]</p>
		<p>After the HTML and HTML+ drafts expired in early 1994, the IETF created an HTML Working Group, which in 1995
			completed "HTML 2.0", the first HTML specification intended to be treated as a standard against which future
			implementations should be based.[12]</p>
		<p>Further development under the auspices of the IETF was stalled by competing interests. Since 1996,
			the HTML specifications have been maintained, with input from commercial software vendors, by the
			World Wide Web Consortium (W3C).[13] However, in 2000, HTML also became an international standard
			(ISO/IEC 15445:2000). HTML 4.01 was published in late 1999, with further errata published through 2001.
			In 2004, development began on HTML5 in the Web Hypertext Application Technology Working Group (WHATWG),
			which became a joint deliverable with the W3C in 2008, and completed and standardized on 28 October 2014.[14]</p>
	</div>
</main>
</body>
</html>